Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.portlet.service.credentialvault.credentials
Interface SSMTokenCredential

All Superinterfaces:
  ActiveCredential, Credential, JaasSubjectCredential

All Known Implementing Classes:
  SSMTokenCredential

Deprecated. Since 8.5.

    public interface SSMTokenCredential

extends JaasSubjectCredential

Credential for authenticating at a back-end system that is within the same Openwave SSM SSO-Domain as the portal, i.e. you are using an Openwave SSM authentication proxy for the portal authentiation. The credential needs to be provided in form of the portal's JAAS `Subject`, containing a private credential that holds the user's SSMCredential. To be used in following way:

1. Construct (initialize) the credential
2. Pass an Http URL connection to the credential in order to add the SSMCredential to the request header ("getAuthenticatedConnection")
3. If necessary, set aditional HTTP headers
4. Send the request

Preconditions:

- The configuration data passed to the init method must define the values that are required by `JaasSubjectCredential`

Assumptions:

- If the Url uses SSL (https://) the JSSE has already been registered

Since:
  5.1.0.1

Field Summary

Fields inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.Credential
`KEY_CREDENTIAL_SECRET`

Method Summary
`java.net.HttpURLConnection` | `getAuthenticatedConnection(java.lang.String url)` Deprecated. Returns a new Http URL connection with added authentication data.
`java.net.HttpURLConnection` | `getAuthenticatedConnection(java.net.URL url)` Deprecated. Returns a new Http URL connection with added authentication data.
`void` | `init(java.util.Map<java.lang.String,java.lang.Object> config)` Deprecated. Initializes a new SSMToken credential.

Methods inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.JaasSubjectCredential
`getSecretType`

Methods inherited from interface com.ibm.portal.portlet.service.credentialvault.credentials.ActiveCredential
`isActive`

Method Detail

### init

    void init(java.util.Map<java.lang.String,java.lang.Object> config)
              throws CredentialVaultException

  Deprecated.
  Initializes a new SSMToken credential.

  Specified by:
    `init` in interface `Credential`
  Specified by:
    `init` in interface `JaasSubjectCredential`
  Parameters:
    `config` - The configuration needed to initialize this credential:
    - KEY_CREDENTIAL_SECRET JaasSubjectCredentialSecret - the credential's secret (mandatory)
  Throws:
    `CredentialVaultException` - If any mandatory parameter is missing or has a wrong object type as value.

### getAuthenticatedConnection

    java.net.HttpURLConnection getAuthenticatedConnection(java.net.URL url)
                                                          throws java.io.IOException

  Deprecated.
  Returns a new Http URL connection with added authentication data.

  Specified by:
    `getAuthenticatedConnection` in interface `JaasSubjectCredential`
  Parameters:
    `url` - The target URL for the connection. Note that it need not be opened yet.
  Returns:
    A new authenticated (and yet uncommitted) Http URL connection
  Throws:
    `java.io.IOException` - thrown if anything unexpected happened

### getAuthenticatedConnection

    java.net.HttpURLConnection getAuthenticatedConnection(java.lang.String url)
                                                          throws java.io.IOException

  Deprecated.
  Returns a new Http URL connection with added authentication data.

  Specified by:
    `getAuthenticatedConnection` in interface `JaasSubjectCredential`
  Parameters:
    `url` - The target URL for the connection
  Returns:
    A new authenticated (and yet uncommitted) connection.
  Throws:
    `java.io.IOException` - thrown if anything unexpected happened.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD